> For the complete documentation index, see [llms.txt](https://docs.craft.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.craft.co/alerts-api/alerts-api-reference/payload-object.md).

# Payload Object

Alert `payload` is a loosely structured metadata associated with a particular Alert. You will find that information presented in this field significantly varies depending on the Alert's `dataset`, `class.code` and `resource.type`. It means that when working with `payload` object, you must implement conditional handling of fields, as they might be missing or have an unexpected value type.

#### News Alerts

```json
{
  "data": {
    "news_source": "bombardier.com"
  }
}
```

#### Commodity Alerts

```json
{
  "data": {
    "snippet": "OTHER METALS: LME aluminium gained 1% to $2,582.50 a tonne, zinc added 0.2% to $3,289.50, nickel advanced 1.8% to $19,745, lead rose 0.2% to $2,345, but tin shed 0.7% to $37,150.",
    "news_url": "https://www.reuters.com/article/global-metals-idUSL1N2S1114",
    "news_source": "Reuters",
    "event_attributes": {
      "commodity_id": "Tin",
      "sourcecountry": null,
      "commodity_name": "Tin",
      "business_signal": "Decrease in Commodity Price"
    }
  },
  "type": "news_commodities"
}
```

#### Jobs Alerts

```json
{
  "data": {
    "timeseries": [
      {
        "date": "2020-05-25",
        "value": 36,
        "period_type": "default"
      },
      {
        "date": "2020-05-26",
        "value": 34,
        "period_type": "default"
      }
    ],
    "period_info": {
      "pct_change": -0.25161290322580643,
      "time_window": "month",
      "period_value": 155,
      "period_actual_date": "2021-04-01 00:00:00"
    }
  },
  "meta": {},
  "type": "change_over_period"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.craft.co/alerts-api/alerts-api-reference/payload-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
